# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-ExtUtils-BuildRC
Version:	0.005
Release:	5.%{__distinit}%{__distvers}
Summary:	A reader for Build.PL configuration files
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/ExtUtils-BuildRC
Source0:	https://cpan.metacpan.org/modules/by-module/ExtUtils/ExtUtils-BuildRC-%{version}.tar.gz
BuildArch:	noarch
# Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.30
# Module
BuildRequires:	perl(Carp)
BuildRequires:	perl(Exporter) >= 5.57
BuildRequires:	perl(ExtUtils::Helpers) >= 0.006
BuildRequires:	perl(File::Spec::Functions)
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(Cwd)
BuildRequires:	perl(File::Find)
BuildRequires:	perl(File::Temp)
BuildRequires:	perl(Test::More)
# Release Tests
BuildRequires:	perl(Pod::Coverage::TrustPod)
BuildRequires:	perl(Test::Pod) >= 1.41
BuildRequires:	perl(Test::Pod::Coverage) >= 1.08
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This module parses Build.PL configuration files.

%prep
%setup -q -n ExtUtils-BuildRC-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test RELEASE_TESTING=1

%files
%if 0%{?_licensedir:1}
%license LICENSE
%else
%doc LICENSE
%endif
%doc Changes README
%{perl_vendorlib}/ExtUtils/
%{_mandir}/man3/ExtUtils::BuildRC.3*

%changelog
* Fri Jun 14 2019 Paul Howarth <paul@city-fan.org> - 0.005-5
- Modernize spec
  - Switch upstream from search.cpan.org to metacpan.org
  - BR: perl-generators unconditionally
  - BR: perl-interpreter rather than perl
  - Don't explicitly clean buildroot in %%install section
  - Drop explicit %%clean section
  - Drop legacy BuildRoot: and Group: tags

* Mon Aug 22 2016 Paul Howarth <paul@city-fan.org> - 0.005-4
- BR: perl-generators where possible
- Simplify find command using -delete

* Thu Sep 11 2014 Paul Howarth <paul@city-fan.org> - 0.005-3
- Drop support for building with ExtUtils::MakeMaker < 6.30
- Drop %%defattr, redundant since rpm 4.4
- Use %%license where possible

* Sat Jul 20 2013 Paul Howarth <paul@city-fan.org> - 0.005-2
- Perl 5.18 rebuild

* Sat Apr 13 2013 Paul Howarth <paul@city-fan.org> - 0.005-1
- Update to 0.005:
  - Deprecate this module, along with .modulebuildrc in general

* Sat Apr  6 2013 Paul Howarth <paul@city-fan.org> - 0.004-1
- Update to 0.004:
  - Drop Test::Differences dependency
- Drop BRs: perl(Test::Differences) and perl(Test::Kwalitee)
- BR: perl(File::Find) and perl(File::Temp) for the test suite
- Update patch for building with old ExtUtils::MakeMaker versions

* Sun Mar 31 2013 Paul Howarth <paul@city-fan.org> - 0.003-1
- Initial RPM version
